All Vulnerability Reports

USN-4759-1: GLib vulnerabilities


Severity

Medium

Vendor

VMware Tanzu

Versions Affected
  • Canonical Ubuntu 16.04
  • Canonical Ubuntu 18.04
Description

Krzesimir Nowak discovered that GLib incorrectly handled certain large buffers. A remote attacker could use this issue to cause applications linked to GLib to crash, resulting in a denial of service, or possibly execute arbitrary code. (CVE-2021-27218)

Kevin Backhouse discovered that GLib incorrectly handled certain memory allocations. A remote attacker could use this issue to cause applications linked to GLib to crash, resulting in a denial of service, or possibly execute arbitrary code. (CVE-2021-27219)

CVEs contained in this USN include: CVE-2021-27218, CVE-2021-27219

Affected VMware Products and Versions

Severity is medium unless otherwise noted.

  • Platform Automation Toolkit
    • 4.4.x versions prior to 4.4.21
    • 5.0.x versions prior to 5.0.15
  • Tanzu Greenplum for Kubernetes
    • All versions prior to 2.0.0
  • Isolation Segment
    • 2.7.x versions prior to 2.7.32, or later versions with Xenial Stemcells prior to 456.150
    • 2.8.x versions prior to 2.8.26, or later versions with Xenial Stemcells prior to 621.113
    • 2.9.x versions prior to 2.9.20, or later versions with Xenial Stemcells prior to 621.113
    • 2.10.x versions prior to 2.10.12, or later versions with Xenial Stemcells prior to 621.113
    • 2.11.x versions with Xenial Stemcells prior to 621.113
  • Operations Manager
    • 2.7.x versions prior to 2.7.30
    • 2.9.x versions prior to 2.9.19
    • 2.10.x versions prior to 2.10.9
  • VMware Tanzu Application Service for VMs
    • 2.7.x versions prior to 2.7.33, or later versions with Xenial Stemcells prior to 456.150
    • 2.8.x versions prior to 2.8.27, or later versions with Xenial Stemcells prior to 621.113
    • 2.9.x versions prior to 2.9.21, or later versions with Xenial Stemcells prior to 621.113
    • 2.10.x versions prior to 2.10.13, or later versions with Xenial Stemcells prior to 621.113
    • 2.11.x versions with Xenial Stemcells prior to 621.113
Mitigation

Users of affected products are strongly encouraged to follow the mitigation below. On the Tanzu Network product page for each release, check the Depends On section and/or Release Notes for this information. Releases that have fixed this issue include:

  • Platform Automation Toolkit
    • 4.4.21
    • 5.0.15
  • Tanzu Greenplum for Kubernetes
    • 2.0.0
  • Isolation Segment
    • 2.7.32, and upgrade Xenial Stemcells to 456.150 or greater
    • 2.8.26, and upgrade Xenial Stemcells to 621.113 or greater
    • 2.9.20, and upgrade Xenial Stemcells to 621.113 or greater
    • 2.10.12, and upgrade Xenial Stemcells to 621.113 or greater
    • 2.11.x: Upgrade Xenial Stemcells to 621.113 or greater
  • Operations Manager
    • 2.7.30
    • 2.9.19
    • 2.10.9
  • VMware Tanzu Application Service for VMs
    • 2.7.33, and upgrade Xenial Stemcells to 456.150 or greater
    • 2.8.27, and upgrade Xenial Stemcells to 621.113 or greater
    • 2.9.21, and upgrade Xenial Stemcells to 621.113 or greater
    • 2.10.13, and upgrade Xenial Stemcells to 621.113 or greater
    • 2.11.x: Upgrade Xenial Stemcells to 621.113 or greater
References
History

2021-09-13: Initial vulnerability report published.